Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-5378

containerd version is being misreported

XMLWordPrintable

    • Icon: Bug Bug
    • Resolution: Done
    • Icon: Major Major
    • 4.13.0
    • 4.13
    • Windows Containers
    • None
    • +
    • Low
    • 3
    • WINC - Sprint 232
    • 1
    • Rejected
    • False
    • Hide

      None

      Show
      None
    • Hide
      * Previously, the `containerd` container runtime reported an incorrect version on each Windows node because repository tags were not propagated to the build system. This configuration caused `containerd` to report its Go build version as the version for each Windows node. With this update, the correct version is injected into the binary during build time, so that `containerd` reports the correct version for each Windows node. (link:https://issues.redhat.com/browse/OCPBUGS-5378[*OCPBUGS-5378*])

      Show
      * Previously, the `containerd` container runtime reported an incorrect version on each Windows node because repository tags were not propagated to the build system. This configuration caused `containerd` to report its Go build version as the version for each Windows node. With this update, the correct version is injected into the binary during build time, so that `containerd` reports the correct version for each Windows node. (link: https://issues.redhat.com/browse/OCPBUGS-5378 [* OCPBUGS-5378 *])
    • Bug Fix
    • Done

      Description of problem:

      The containerd binary built by the pipeline is being misreported

      How reproducible:

      Always
       

      Steps to Reproduce:

      1. Bring up 4.11+ cluster
      2. Install a released version of WMCO
      3. Bring up a Windows node
      4. SSH into the node and check the containerd version
      

      Actual results:

      PS C:\k\containerd> .\containerd.exe --version
      containerd github.com/containerd/containerd 1.18 8100cdb4fa50c8c9888f2c3ad08f413e407fe567
       

      Expected results:

      The version reported should match the actual containerd version we are using i.e. 1.6
       

            rh-ee-mankulka Mansi Kulkarni
            paravindh Aravindh Puthiyaparambil
            Aharon Rasouli Aharon Rasouli
            Darragh Fitzmaurice Darragh Fitzmaurice
            Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

              Created:
              Updated:
              Resolved: